Package net.shibboleth.saml.saml2.profile.config

# Interface ECPProfileConfiguration

All Superinterfaces:
  `AttributeResolvingProfileConfiguration`, `BrowserSSOProfileConfiguration`, `Component`, `IdentifiedComponent`, `ProfileConfiguration`, `SAML2ProfileConfiguration`, `SAMLArtifactConsumerProfileConfiguration`, `SAMLAssertionConsumingProfileConfiguration`, `SAMLProfileConfiguration`

public interface ECPProfileConfiguration extends BrowserSSOProfileConfiguration
Configuration support for SAML 2.0 ECP profile.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROFILE_ID`
ID for this profile configuration.

### Fields inherited from interface net.shibboleth.saml.saml2.profile.config.BrowserSSOProfileConfiguration

`FEATURE_AUTHNCONTEXT, FEATURE_FORCEAUTHN, FEATURE_NAMEIDFORMAT, FEATURE_SCOPING, FEATURE_SPNAMEQUALIFIER`

### Fields inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`DEFAULT_DISALLOWED_FEATURES`

## Method Summary

### Methods inherited from interface net.shibboleth.profile.config.AttributeResolvingProfileConfiguration

`getAttributeRecipientGroupID, getRequestedIdPAttributeNames, isResolveAttributes`

### Methods inherited from interface net.shibboleth.saml.saml2.profile.config.BrowserSSOProfileConfiguration

`getAttributeIndex, getAuthnContextComparison, getMaximumTimeSinceAuthn, getProxyCount, getRequestedAttributes, getSPNameQualifier, isCheckAddress, isCheckInResponseTo, isForceAuthn`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`getDisallowedFeatures, getSecurityConfiguration, isFeatureDisallowed`

### Methods inherited from interface net.shibboleth.saml.saml2.profile.config.SAML2ProfileConfiguration

`isEncryptionOptional, isEncryptNameIDs, isIgnoreRequestSignatures`

### Methods inherited from interface net.shibboleth.saml.profile.config.SAMLArtifactConsumerProfileConfiguration

`isClientTLSArtifactRequests, isSignArtifactRequests`

### Methods inherited from interface net.shibboleth.saml.profile.config.SAMLAssertionConsumingProfileConfiguration

`getAssertionAudiences, getAssertionLifetime, isRequireSignedAssertions`

### Methods inherited from interface net.shibboleth.saml.profile.config.SAMLProfileConfiguration

`getMessageHandler, isSignRequests, isSignResponses`

## Field Details

### PROFILE_ID

@Nonnull @NotEmpty static final String PROFILE_ID
ID for this profile configuration.

See Also:
  - Constant Field Values